## License Pane License Pane — Font licensing details |

## Functions

GtkWidget * | font_manager_license_pane_new ()
gchar * | font_manager_license_pane_get_license_data ()
gchar * | font_manager_license_pane_get_license_url ()
gint | font_manager_license_pane_get_fsType ()
void | font_manager_license_pane_set_fsType ()
void | font_manager_license_pane_set_license_data ()
void | font_manager_license_pane_set_license_url ()

## Properties

gint | fstype | Read / Write
gchar * | license-data | Read / Write
gchar * | license-url | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_LICENSE_PANE
| FontManagerLicensePane

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkEventBox
                            ╰── FontManagerLicensePane

## Implemented Interfaces

FontManagerLicensePane implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <font-manager-license-pane.h>

## Description

Widget which displays embedded or detected font licensing data.

## Functions

### font_manager_license_pane_new ()

    GtkWidget *
    font_manager_license_pane_new (void);

#### Returns

A newly created FontManagerLicensePane. Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_license_pane_get_license_data ()

    gchar *
    font_manager_license_pane_get_license_data
                                   (FontManagerLicensePane *self);

#### Parameters

self | FontManagerLicensePane |

#### Returns

A newly allocated string that must be freed with g_free or `NULL`.

[transfer none][nullable]

### font_manager_license_pane_get_license_url ()

    gchar *
    font_manager_license_pane_get_license_url
                                   (FontManagerLicensePane *self);

#### Parameters

self | FontManagerLicensePane |

#### Returns

A newly allocated string that must be freed with g_free or `NULL`.

[transfer none][nullable]

### font_manager_license_pane_get_fsType ()

    gint
    font_manager_license_pane_get_fsType (FontManagerLicensePane *self);

#### Parameters

self | FontManagerLicensePane |

#### Returns

FontManagerfsType

### font_manager_license_pane_set_fsType ()

    void
    font_manager_license_pane_set_fsType (FontManagerLicensePane *self,
                                          gint fstype);

#### Parameters

self | FontManagerLicensePane |
fstype | FontManagerfsType |

### font_manager_license_pane_set_license_data ()

    void
    font_manager_license_pane_set_license_data
                                   (FontManagerLicensePane *self,
                                    const gchar *license_data);

#### Parameters

self | FontManagerLicensePane |
license_data | License data embedded in font file or `NULL`. | [nullable]

### font_manager_license_pane_set_license_url ()

    void
    font_manager_license_pane_set_license_url
                                   (FontManagerLicensePane *self,
                                    const gchar *url);

#### Parameters

self | FontManagerLicensePane |
url | URL to latest version of license or `NULL`. | [nullable]

## Types and Values

### FONT_MANAGER_TYPE_LICENSE_PANE

    #define FONT_MANAGER_TYPE_LICENSE_PANE (font_manager_license_pane_get_type ())

### FontManagerLicensePane

    typedef struct _FontManagerLicensePane FontManagerLicensePane;

## Property Details

### The `“fstype”` property

      “fstype”                   gint

Font embedding information

Owner: FontManagerLicensePane

Flags: Read / Write

Default value: 0

### The `“license-data”` property

      “license-data”             gchar *

Embedded or detected license text

Owner: FontManagerLicensePane

Flags: Read / Write

Default value: NULL

### The `“license-url”` property

      “license-url”              gchar *

Embedded or detected license url

Owner: FontManagerLicensePane

Flags: Read / Write

Default value: NULL